SyncML Debug
libsyncml API Internals » Low Level API Internals

Debug functions used by libsyncml. More...

Collaboration diagram for SyncML Debug:

## Functions

void | smlLog (const char *logname, const char *data, unsigned int size)
void | smlTrace (SmlTraceType type, const char *message,...)
| Used for tracing the application. More...
char * | smlPrintBinary (const char *data, int len)
| Used for printing binary data. More...
char * | smlPrintHex (const char *data, int len)
| Used for printing binary data in just hex. More...

## Detailed Description

Debug functions used by libsyncml.

## Function Documentation

void smlTrace | ( | SmlTraceType | type,
|  | const char * | message,
|  |  | ...
| ) |  |

Used for tracing the application.

use this function to trace calls. The call graph will be saved into the file that is given in the SYNCML_TRACE environment variable

Parameters

  type | The type of the trace
  message | The message to save

Definition at line 120 of file sml_support.c.

Referenced by smlAssemblerAddHeader(), smlAssemblerAddStatusFull(), smlAssemblerCheckSize(), smlAssemblerEndCommand(), smlAssemblerFlush(), smlAssemblerFree(), smlAssemblerGetOption(), smlAssemblerGetSpace(), smlAssemblerNew(), smlAssemblerReserveStatus(), smlAssemblerRun(), smlAssemblerSetOption(), smlAssemblerStart(), smlAssemblerStartCommand(), smlCommandNewPartialChange(), smlDataSyncAbort(), smlDataSyncGetTarget(), smlDevInfAgentRequestDevInf(), smlDevInfAgentSendDevInf(), smlDsServerSetConnectCallback(), smlDsSessionCloseMap(), smlDsSessionCloseSync(), smlDsSessionGetAlert(), smlDsSessionGetChanges(), smlDsSessionSendAlert(), smlDsSessionSendSync(), smlGetVersion(), smlItemCheck(), smlItemGetData(), smlItemStealData(), smlManagerObjectRegister(), smlManagerStop(), smlParserEnd(), smlParserFree(), smlParserGetCommand(), smlParserGetHeader(), smlParserGetStatus(), smlParserNew(), smlParserStart(), smlQueueAttach(), smlQueueNew(), smlSessionEnd(), smlSessionEndCommand(), smlSessionFlush(), smlSessionGetRemoteMaxObjSize(), smlSessionNew(), smlSessionSendCommand(), smlSessionSendReply(), smlSessionSetLocalMaxObjSize(), smlSessionSetRemoteMaxObjSize(), smlSessionStartCommand(), smlThreadCallFunction(), smlThreadCallFunctionCallback(), smlTransportFinalize(), smlTransportFree(), smlTransportInitialize(), smlTransportNew(), smlTransportSetConfigOption(), smlTransportSetConnectionType(), smlTransportSetResponseURI(), smlXmlAssemblerNew(), and smlXmlParserStart().

char* smlPrintBinary | ( | const char * | data,
|  | int | len
| ) |  |

Used for printing binary data.

Unprintable character will be printed in hex, printable are just printed

Parameters

  data | The data to print
  len | The length to print

Definition at line 252 of file sml_support.c.

Referenced by smlXmlParserStart().

char* smlPrintHex | ( | const char * | data,
|  | int | len
| ) |  |

Used for printing binary data in just hex.

Parameters

  data | The data to print
  len | The length to print

Definition at line 271 of file sml_support.c.